<?php defined('KERNEL_INCLUDED') or die('kernel should be included first');

// Template for conf-instance.inc.php.
// Configures DENIF for a secondary instance of DENIF.
// Please copy to conf-instance.inc.php and modify the copy as needed.

// Acronym of the site. Displayed in the main title of all pages, and various other places.
// Should not refer to DENIF.
define('sInstanceAcronym', 'IdD');

// Expanded acronym of the site. Displayed in the main title of all pages.
// Should not refer to DENIF.
define('sInstanceTitle', 'Instance de DENIF');
define('sSecondaryInstanceAuthor', 'Jean Dupont, Martin Dupond');

// Short description of the site. Used in the <title> of the home page.
// Should not refer to DENIF.
define('sInstanceDescriptionShort',
	'Description courte de linstance de DENIF');

// Medium-length description of the site. Used in the <meta> description tag of the home page.
// Should not refer to DENIF.
define('sInstanceDescriptionMedium',
	'Description de longueur moyenne de linstance de DENIF');

// Long description of the site. Shown on the home page.
// Should not refer to DENIF.
define('sInstanceDescriptionLong',
	html::par(sInstanceAcronym . ' regroupe des ressources pdagogiques de qualit, de niveau <span style="background:yellow">TODO</span>, destines aux tudiants <span style="background:yellow">TODO</span>.' . html::br() . 'Vous y trouverez des liens vers des polycopis, des transparents, des feuilles de TD, des annales dexamens, etc.'));

// Credits for all authors of the site, displayed on the home page. One credit line per array element.
// The initial elements of the array must be kept unchanged.
$aAuthorCredit[] = html::link('http://jd.example.com', 'Jean Dupont') . ' et ' . html::link('http://md.example.com', 'Martin Dupond') . ' ont <span style="background:yellow">TODO</span>.';

// Download link for the sources of this DENIF instance.
// Required only if source code is modified.
// The line below can be commented out if the secondary instance does not modify the source code of DENIF.
define('sSecondarySourceDownloadLink', html::link('http://www.example.com/idb-src.zip', 'le prsent site'));

// Contact email address.
define('sContactEmail', 'contact@example.com');

// Prefix URL of all download documents.
define('sWebDataPath', 'http://www.example.com/data/');

// Comment out to disable Google search.
define('sGoogleCSEId', '');

?>