// This file is part of DENIF, distributed under license GPLv3.
// Copyright 2006 Guillaume Ryder, Arthur Charguraud

var fnodes, chks, favLink, favURL;

catchLoad(function() {
	fnodes = document.forms.fnodes;
	
	loadByID("favURL;favLink");
	favLink.target = "_blank";
	
	// Register the checkboxes
	chks = [];
	var elts = fnodes.elements;
	for (var i = 0; i < elts.length; i++) {
		var chk = elts[i];
		var idNode = parseInt(chk.name.substr(1));
		chk.idNode = idNode;
		chk.onclick = updateLinks;
		chks.push(chk);
	}
	
	updateLinks(true);
});


function updateLinks(openCats) {
	
	// Get the checked items by ID, to remove duplicates
	var checkedById = [];
	chks.iter(function(chk) {
		if (chk.checked) {
			checkedById[chk.idNode] = true;
			if (openCats)
				elemAncestor(chk, 5).className = "cat-on";
		}
	});
	
	// Get the sorted IDs list
	var ids = [];
	checkedById.iteri(function(idNode, dummu) {
		ids.push(idNode);
	});
	ids.sort(function(a, b) { return a - b; });
	var idsList = ids.join(",");
	
	var href = location.href;
	href = href.substr(0, href.indexOf("edit_favorites")) + "favorites.php?sNodes=" + idsList;
	favLink.href = href;
	setxt(favURL, href);
}

function displayResult() {
	location.href = favLink.href;
}
